cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 4

Anonymous
Not applicable

Looking for current firmware for the CY5670 BLE dongle...

   

I have an engineering sample from pre-release and it is not recognized by CySmart any longer..(1.0 or 1.1)

   

I did upgrade the KitProg firmware, but that did not change things..

0 Likes
16 Replies
HeLi_263931
Honored Contributor II

Just download and install the new software from the Pioneer kit page, it has the firmware in it. Follow the instructions in the user guide, updating the firmware is not exactly obvious (and can be done wrong easily).

0 Likes
Anonymous
Not applicable

Ok.. found the BLE_Dongle_CySmart_128K.hex in my local CY8CKIT-042-BLE Kit path, dated 10/6/2015, which I believe is the latest published version...

   

It was loaded to the dongle with the PRoC programmer tool... appeared to go as required...

   

However, the dongle is still not recognized at all.. not even as an 'unknown device'..

   

any thoughts?

0 Likes
HeLi_263931
Honored Contributor II

If it is not even recognized as USB device, then something is really wrong. (To ask more specifically: what is not regicnized - the KitProg programmer on the board, or just the BLE part on the dongle?) Did you use PSoC programmer? And is your CySmart PC software the current one?

0 Likes
Anonymous
Not applicable

Hi.. the KitProg shows up as a device in the OS (Win8.0), but the OS complains that no proper driver is installed (but can't seem to update it either).. however I have used other KitProg devices to program other chips without issue, using both PSoC Programmer and Creator as well in this same environment.. 

   

CySmart does not show the device at all in its scan.. I have CySmart 1.1, and have upgraded both the KitProg (PSoC 5LP) and the firmware on the PRoC, using the 10/6/2015 release... 

   

So, the programmer can and does talk to the BLE as well as the on board 5LP.. but not so CySmart.. or the OS ...sigh...

0 Likes
HeLi_263931
Honored Contributor II

Its probably best to create a support case (menu at the top right, 'MyCases'). Tell Cypress exactly what you did and what you observe right now (as detailed as possible).

   

Oh, and it would be nice to know afterwards what the reason was...

0 Likes
Anonymous
Not applicable

I did just that... and it seems that the KitProg drivers needed reinstalled..  not sure what changed, but likely during a M$ 'update' something got munged.. 

   

once reinstalled all works as expected again.. 

0 Likes
ViTi_1549261
New Contributor II

Hi,

   

I am also facing a similar type of problem. 

   

When launching CySmart, BLE HID Dongle appears on list of unsupported targets and there is following message:

   

"The current version of the tool does not support this dongle. Download and install CySmart version 1.0 from http://www.cypress.com/cysmart"

   

But it looks like old version is no longer available. 

0 Likes
HeLi_263931
Honored Contributor II

Just update the firmware of the dongle and you will be fine.

0 Likes
ViTi_1549261
New Contributor II

Yes, It is working again.

0 Likes
Anonymous
Not applicable

Hi,

   
      This is karun.I am trying to install the CySmartSetup_1.2_beta_1-22-16 in my windows 7 pc for the CYPRESS CYSMART 5670 USB BLE DONGLE from the following location      http://www.cypress.com/documentation/software-and-drivers/cysmart-bluetooth-le-test-and-debug-tool but when i am done with that its showing like current firmware version is not supported so i updated the firmware 1.2  which was placed in my program files after the installation using  PSoc Programmer 3.24.0 even its showing the same after closing and  opening the application  as well as dongle from pc as a unsupported device.can you guys help me in get me out.    
   
        
   
     Thanks,   
   
     Karun.   
0 Likes
Bob_Marlowe
Expert II

Welcome in the forum, Karun!

   

Use Programmer 3.24, select the Kit, switch to Utilities tab and select update firmware. Then Close programmer, remove the dongle, count to 27m plud in the dongle again (preferrably into a different USB port) and let the OS select the drivers.

   

 

   

Bob

0 Likes
Anonymous
Not applicable

hi bob

   

sorry for interrupting, in between, i am using cy5670 dongle, from server i am sending 160 bytes, but on cysmart 1.2, i am not able to receive anything,  can you guide how to receive all the data, 

   

please help me on this.

0 Likes
Anonymous
Not applicable

Madhusudan,

   

 

   

What is the MTU size set in the CySmart PC Tool? You can access this settings from CySmart PC Tool > Configure master Settings > Othes > GATT MTU Size.

0 Likes
Bob_Marlowe
Expert II

Sorry, madhusudan, I'm not very fit with BLE. I Suggest you to open a new thread to get responses quickly.

   

 

   

Bob

0 Likes
Anonymous
Not applicable

hi Roit,

   

i have checked the settings, and i have set it for 255, but still there is a problem can you tell me wat to do furthe,

   

Thanks in advance

0 Likes